> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish Option Values

> Interface description: Query the optional values ​​of an authorized channel account under the specified publishing option field, which is used to allow users to select additional parameters required by the platform before creating a publishing task.

This interface is used for querying all additional parameters on the platform side. Typical scenarios include B station partition `tid`, YouTube category `categoryId`, Threads location `location_id`, and Pinterest Board `boardId`.

Calling process: First call the ["Platform Publish Options"](/en/api-reference/get-api-v2-channels-platforms-platform-publish-options) interface (`GET /api/v2/channels/platforms/{platform}/publish-options`) to query what additional parameters the platform has; put the `field` in the return item into the path parameter `field` of this interface. If the returned item contains `filterSchema`, pass the filter conditions as the query parameter of this interface according to the schema. For example, for the Threads location, you can pass `keyword` or latitude and longitude.



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json get /api/v2/channels/accounts/{accountId}/publish-options/{field}/values
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
paths:
  /api/v2/channels/accounts/{accountId}/publish-options/{field}/values:
    get:
      tags:
        - Channel Management/Accounts
      summary: Publish Option Values
      description: >-
        Interface description: Query the optional values ​​of an authorized
        channel account under the specified publishing option field, which is
        used to allow users to select additional parameters required by the
        platform before creating a publishing task.


        This interface is used for querying all additional parameters on the
        platform side. Typical scenarios include B station partition `tid`,
        YouTube category `categoryId`, Threads location `location_id`, and
        Pinterest Board `boardId`.


        Calling process: First call the ["Platform Publish
        Options"](/en/api-reference/get-api-v2-channels-platforms-platform-publish-options)
        interface (`GET /api/v2/channels/platforms/{platform}/publish-options`)
        to query what additional parameters the platform has; put the `field` in
        the return item into the path parameter `field` of this interface. If
        the returned item contains `filterSchema`, pass the filter conditions as
        the query parameter of this interface according to the schema. For
        example, for the Threads location, you can pass `keyword` or latitude
        and longitude.
      operationId: AccountsController_publishOptionValues_v2
      parameters:
        - name: accountId
          in: path
          description: >-
            Channel account ID. It must be an account authorized by the current
            user, and the platform to which the account belongs should be
            consistent with the platform queried in the "Platform Publishing
            Options" interface.
          required: true
          example: ''
          schema:
            type: string
            description: >-
              Channel account ID. It must be an account authorized by the
              current user, and the platform to which the account belongs should
              be consistent with the platform queried in the "Platform
              Publishing Options" interface.
        - name: field
          in: path
          description: >-
            Publishing options field. The value comes from the `data[n].field`
            returned by the ["Platform Publish
            Options"](/en/api-reference/get-api-v2-channels-platforms-platform-publish-options)
            interface, such as `tid`, `categoryId`, `location_id`, `boardId`.
          required: true
          example: ''
          schema:
            type: string
            description: >-
              Publishing options field. The value comes from the `data[n].field`
              returned by the ["Platform Publish
              Options"](/en/api-reference/get-api-v2-channels-platforms-platform-publish-options)
              interface, such as `tid`, `categoryId`, `location_id`, `boardId`.
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/PublishOptionValuesVo'
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      field: string
                      valueType: list
                      items: {}
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: Parameter validation failed
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: Unauthenticated or invalid API Key
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
                accountNotFound12600:
                  summary: AccountNotFound (12600)
                  value:
                    code: 12600
                    message: Account not found
                    data: {}
                    timestamp: 1772099056662
                channelPlatformOperationNotSupported15080:
                  summary: ChannelPlatformOperationNotSupported (15080)
                  value:
                    code: 15080
                    message: '{{platform}} does not support this operation'
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  schemas:
    PublishOptionValuesVo:
      type: object
      properties:
        field:
          type: string
          description: Publishing options field
        valueType:
          type: string
          enum:
            - list
            - tree
          description: Value structure
        items:
          type: array
          items:
            type: object
            properties: {}
          description: Options list
      required:
        - field
        - valueType
        - items
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        Need to get API Key from AiToEarn. Click to go to ["API Key Obtaining
        Tutorial"](/en/use/api-key).

````